<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_POST['filtroStock']) $_SESSION['filtroStock']=$_POST['filtroStock'];

$peticion='WSPantReposicion#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['almacen'].'#'.$_SESSION['filtroStock'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

include($rutaPhp.$rutaHtml.'/librerias/tabla-dinamica.php');

//Estos indices (campo "orden" de la tabla dinamica) se incluyen en la fila <tr> para despues obtenerlos para cada clic, y hacer la llamada a la pantalla secundaria
$indices=array(
	1=>'ubicacionRepo',
	2=>'articulo',
	4=>'propietario',
	14=>'tipoPropietario',
);

$excepciones=array(
	'noMostrarNegativos'=>true,
);

$resultadoTabla=pintaTablaDinamica($resultado,true,$indices,$excepciones);

if($resultadoTabla) { ?>

	<script>

		$(document).ready(function() {
			
			$(document).on('click','.lineaTabla',function(e){
			
				e.preventDefault();
			
				var codigo;
				var cliente;
				
				//console.log("<?php echo $rutaHtml; ?>/reposicion-orden.php?"<?php foreach($indices as $indice) { ?>+"&<?php echo $indice; ?>="+$(this).attr('<?php echo $indice; ?>')<?php } ?>);
			
				$('#popupCargando').show();
				window.location="<?php echo $rutaHtml; ?>/reposicion-orden.php?"<?php foreach($indices as $indice) { ?>+"&<?php echo $indice; ?>="+$(this).attr('<?php echo $indice; ?>')<?php } ?>;	

			});
			
		});
	
	</script>
    
	<?php
}
else {
	?><p>No hay ninguna Orden de Reposición pendiente.</p><?php
}
?>